Project and Portfolio Management Practitioners Forum
Showing results for 
Search instead for 
Do you mean 

What are the supported/certified browser for PPM 9.14 ?

Occasional Advisor

What are the supported/certified browser for PPM 9.14 ?

What are the supported/certified browser for PPM 9.14 ?

 

Does Safari included on this? We are encountering some issues mostly on safari users, when they clicked the save button or and any action buttons the system does not respond then when they navigate the page the inputs were wiped out.

 

Does anyone encounter this?

 

Thanks

1 REPLY
Highlighted
Honored Contributor

Re: What are the supported/certified browser for PPM 9.14 ?

The only supported browsers are IE and Firefox.  IE is supported with versions 7, 8, and 9.  Firefox is only officially supported with versions 3.5 and 3.6.  For those keeping track at home, Firefox is up to version 18.0 now.  For the most part, the newer versions of Firefox should work, but that can't be garaunteed.  Other browsers may work most of the time or for most functionality, but any issues will asked to replicate using a supported browser before any investigation into the issue will happen.